Bug 18917 - Use font awesome buttons in CSV profiles
Summary: Use font awesome buttons in CSV profiles
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8612
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 02:00 UTC by Aleisha Amohia
Modified: 2017-11-28 07:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18917: Use font-awesome buttons for CSV profiles (2.37 KB, patch)
2017-07-10 02:13 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18917: Use font-awesome buttons for CSV profiles (2.42 KB, patch)
2017-07-10 13:16 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18917: Use font-awesome buttons for CSV profiles (2.50 KB, patch)
2017-07-13 19:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-07-10 02:00:48 UTC

    
Comment 1 Aleisha Amohia 2017-07-10 02:13:35 UTC
Created attachment 64944 [details] [review]
Bug 18917: Use font-awesome buttons for CSV profiles

To test:
1) Go to Tools -> CSV profiles
2) Notice old style of links for Edit and Delete
3) Apply patch and refresh page
4) Notice buttons for Edit and Delete
5) Confirm they work as expected

Sponsored-by: Catalyst IT
Comment 2 Lee Jamison 2017-07-10 13:16:54 UTC
Created attachment 64963 [details] [review]
Bug 18917: Use font-awesome buttons for CSV profiles

To test:
1) Go to Tools -> CSV profiles
2) Notice old style of links for Edit and Delete
3) Apply patch and refresh page
4) Notice buttons for Edit and Delete
5) Confirm they work as expected

Sponsored-by: Catalyst IT

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Patch works as directed and looks great!
Comment 3 Jonathan Druart 2017-07-13 19:43:44 UTC
Created attachment 65028 [details] [review]
Bug 18917: Use font-awesome buttons for CSV profiles

To test:
1) Go to Tools -> CSV profiles
2) Notice old style of links for Edit and Delete
3) Apply patch and refresh page
4) Notice buttons for Edit and Delete
5) Confirm they work as expected

Sponsored-by: Catalyst IT

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-07-13 21:43:46 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-07-27 14:29:25 UTC
Enhancement not pushed to 17.05.x